---
sidebar_position: 2
description: Send request without body and other functions to work with S3 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, S3]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Send request without body
 Sends a simple http request without a body



`Function SendRequestWithoutBody(Val Method, Val BasicData, Val ExpectedBinary = False, Val Headers = Undefined) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Method | --method | String | &#x2714; | HTTP method |
  | BasicData | --basic | Structure Of KeyAndValue | &#x2714; | Basic request data (with full URL). See GetBasicDataStructure |
  | ExpectedBinary | --binary | Boolean | &#x2716; | Disables an attempt to convert the response to JSON |
  | Headers | --headers | Map Of KeyAndValue | &#x2716; | Additional request headers, if necessary |

  
  Returns:  Structure Of KeyAndValue - serialized JSON response from storage



```bsl title="1C:Enterprise/OneScript code example"
    URL       = "storage-155.s3hoster.by" + "/opi-newbucket2";
    AccessKey = "BRN5RKJE67...";
    SecretKey = "NNhv+i9PrytpT8Tu0C1N...";
    Region    = "BTC";

    BasicData = OPI_S3.GetBasicDataStructure(URL, AccessKey, SecretKey, Region);
    Method    = "GET";

    Result = OPI_S3.SendRequestWithoutBody(Method, BasicData);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint s3 SendRequestWithoutBody \
             --method "GET" \
             --basic "{'URL':'storage-564.s3hoster.by/opi-newbucket2','AccessKey':'***','SecretKey':'***','Region':'BTC','Service':'s3'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint s3 SendRequestWithoutBody ^
             --method "GET" ^
             --basic "{'URL':'storage-564.s3hoster.by/opi-newbucket2','AccessKey':'***','SecretKey':'***','Region':'BTC','Service':'s3'}"
        ```
    </TabItem>
</Tabs>



